# Uses of Class
org.jmol.modelset.Group

Packages that use Group
Package
Description
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.shape
org.jmol.shapebio
org.jmol.viewer

## Uses of Group in org.jmol.modelset

Fields in org.jmol.modelset declared as Group
Modifier and Type
Field
Description
`Group`
Atom.`group`
`Group[]`
Chain.`groups`
Groups form the essence of what a Chain is.
`Group[]`
ModelLoader.`groups`
Methods in org.jmol.modelset that return Group
Modifier and Type
Method
Description
`Group`
Chain.`addGroup(Group group, int groupIndex)`
`Group[]`
ModelSet.`getGroups()`
In versions earlier than 12.1.51, groups[] was a field of ModelCollection.
`Group`
Group.`setGroup(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex)`
Methods in org.jmol.modelset with parameters of type Group
Modifier and Type
Method
Description
`Atom`
ModelSet.`addAtom(int modelIndex, Group group, int atomicAndIsotopeNumber, String atomName, String atomType, int atomSerial, int atomSeqID, int atomSite, P3 xyz, float radius, V3 vib, int formalCharge, float partialCharge, float occupancy, float bfactor, Lst<Object> tensors, boolean isHetero, boolean isNegDisorder, byte specialAtomID, BS atomSymmetry, float bondRadius)`
`Group`
Chain.`addGroup(Group group, int groupIndex)`
`protected void`
ModelSet.`calculatePolymers(Group[] groups, int groupCount, int baseGroupIndex, BS modelsExcluded)`
`boolean`
Group.`isCrossLinked(Group g)`

## Uses of Group in org.jmol.modelsetbio

Subclasses of Group in org.jmol.modelsetbio
Modifier and Type
Class
Description
`class`
`AlphaMonomer`
`class`
`AminoMonomer`
`class`
`CarbohydrateMonomer`
`class`
`Monomer`
A class to maintain information about biomolecule groups that are (potentially) part of biopolymers -- peptides, nucleic acid strands, or complex carbohydrates.
`class`
`NucleicMonomer`
`class`
`PhosphorusMonomer`
Methods in org.jmol.modelsetbio that return Group
Modifier and Type
Method
Description
`Group`
BioResolver.`distinguishAndPropagateGroup(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, int[] specialAtomIndexes, Atom[] atoms)`
Methods in org.jmol.modelsetbio with parameters of type Group
Modifier and Type
Method
Description
`void`
BioModelSet.`calculateAllPolymers(Group[] groups, int groupCount, int baseGroupIndex, BS modelsExcluded)`
`protected boolean`
Monomer.`getCrossLinkGroup(int i, Lst<Integer> vReturn, Group group, boolean crosslinkCovalent, boolean crosslinkHBond, boolean isNotCheck)`
`boolean`
Monomer.`isCrossLinked(Group g)`
`boolean`
NucleicMonomer.`isCrossLinked(Group g)`
`void`
BioModelSet.`recalculateAllPolymers(BS bsModelsExcluded, Group[] groups)`

## Uses of Group in org.jmol.shape

Methods in org.jmol.shape with parameters of type Group
Modifier and Type
Method
Description
`int`
Shape.`getSizeG(Group group)`
`void`
Shape.`replaceGroup(Group g0, Group g1)`

## Uses of Group in org.jmol.shapebio

Methods in org.jmol.shapebio with parameters of type Group
Modifier and Type
Method
Description
`int`
BioShapeCollection.`getSizeG(Group group)`
`void`
BioShapeCollection.`replaceGroup(Group g0, Group g1)`

## Uses of Group in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type Group
Modifier and Type
Method
Description
`float`
ShapeManager.`getAtomShapeValue(int tok, Group group, int atomIndex)`
`void`
ShapeManager.`replaceGroup(Group g0, Group g1)`